<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.8.0.final using JasperReports Library version 6.8.0-2ed8dfabb690ff337a5797129f2cd92902b0c87b  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rpt_BOR_new" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="c849bc6e-bccf-4c09-87a0-41245d4cf21a">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DataAdapter.xml"/>
	<queryString>
		<![CDATA[SELECT
bangsal.bangsal_cd,
bangsal.bangsal_nm,
kelas.kelas_nm,
(select count(*) from trx_ruang where bangsal_cd=bangsal.bangsal_cd and kelas_cd=kelas.kelas_cd) as total_kamar,
COALESCE(public.FN_RPT_TOTAL_PASIENBANGSAL(bangsal.bangsal_cd,kelas.kelas_cd,'2017-03-01'::varchar,'2017-03-31'::varchar),0) AS total_pasien,
COALESCE(public.FN_RPT_TOTAL_HARIRAWAT(ruang.kelas_cd,'2017-03-01','2017-03-31'),0) AS total_harirawat,
to_char('2017-03-31'::timestamp, 'dd')::integer AS day_month
FROM trx_bangsal bangsal
left join trx_ruang ruang ON bangsal.bangsal_cd=ruang.ruang_cd AND COALESCE(ruang.ruang_tp,'')<>'1'
join trx_kelas kelas on 1=1
GROUP BY bangsal.bangsal_cd , ruang.kelas_cd ,kelas.kelas_nm,kelas.kelas_cd
ORDER BY bangsal.bangsal_nm, kelas.kelas_nm;]]>
	</queryString>
	<field name="bangsal_cd" class="java.lang.String"/>
	<field name="bangsal_nm" class="java.lang.String"/>
	<field name="kelas_nm" class="java.lang.String"/>
	<field name="total_kamar" class="java.lang.Long"/>
	<field name="total_pasien" class="java.lang.Long"/>
	<field name="total_harirawat" class="java.lang.Long"/>
	<field name="day_month" class="java.lang.Integer"/>
	<group name="bangsal_cd">
		<groupExpression><![CDATA[$F{bangsal_cd}]]></groupExpression>
		<groupHeader>
			<band height="57">
				<textField>
					<reportElement x="0" y="0" width="555" height="37" uuid="01a35af8-c6a1-41e3-b674-c35fbbb7db77"/>
					<textElement textAlignment="Center"/>
					<textFieldExpression><![CDATA[$F{bangsal_nm}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="0" y="37" width="111" height="20" uuid="d535ba3c-78f5-4603-8e2b-f07c99965533"/>
					<box>
						<pen lineWidth="1.0"/>
						<topPen lineWidth="1.0"/>
						<leftPen lineWidth="1.0"/>
						<bottomPen lineWidth="1.0"/>
						<rightPen lineWidth="1.0"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<text><![CDATA[Kelas]]></text>
				</staticText>
				<staticText>
					<reportElement x="111" y="37" width="111" height="20" uuid="3333b98b-0798-480f-8cb8-e0f9227fbba6"/>
					<box>
						<pen lineWidth="1.0"/>
						<topPen lineWidth="1.0"/>
						<leftPen lineWidth="1.0"/>
						<bottomPen lineWidth="1.0"/>
						<rightPen lineWidth="1.0"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<text><![CDATA[Jumlah Kamar]]></text>
				</staticText>
				<staticText>
					<reportElement x="222" y="37" width="111" height="20" uuid="ab276ecd-1ef8-4004-b353-3996b684f1b6"/>
					<box>
						<pen lineWidth="1.0"/>
						<topPen lineWidth="1.0"/>
						<leftPen lineWidth="1.0"/>
						<bottomPen lineWidth="1.0"/>
						<rightPen lineWidth="1.0"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<text><![CDATA[Jumlah Pasien]]></text>
				</staticText>
				<staticText>
					<reportElement x="333" y="37" width="111" height="20" uuid="3ef90d17-90a3-433d-8055-20b27b367687"/>
					<box>
						<pen lineWidth="1.0"/>
						<topPen lineWidth="1.0"/>
						<leftPen lineWidth="1.0"/>
						<bottomPen lineWidth="1.0"/>
						<rightPen lineWidth="1.0"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<text><![CDATA[HP]]></text>
				</staticText>
				<staticText>
					<reportElement x="444" y="37" width="111" height="20" uuid="30297195-5bf4-4306-8f4d-68137790bf33"/>
					<box>
						<pen lineWidth="1.0"/>
						<topPen lineWidth="1.0"/>
						<leftPen lineWidth="1.0"/>
						<bottomPen lineWidth="1.0"/>
						<rightPen lineWidth="1.0"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<text><![CDATA[Day Month]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="19"/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="111" height="20" uuid="ec98fc3e-c37e-49b0-950b-856951d69375"/>
				<box leftPadding="2">
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{kelas_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="111" y="0" width="111" height="20" uuid="0a1b0ebb-a549-46f5-875b-bf4914cc0868"/>
				<box leftPadding="2">
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_kamar}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="222" y="0" width="111" height="20" uuid="ca75ef63-671b-4b64-8570-eef2145120a2"/>
				<box leftPadding="2">
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_pasien}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="333" y="0" width="111" height="20" uuid="5f77c3e8-28b0-464f-bc66-845f66e88574"/>
				<box leftPadding="2">
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_harirawat}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="444" y="0" width="111" height="20" uuid="e7c60f10-af60-4e6f-a8fc-7be9bc42db6f"/>
				<box leftPadding="2">
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{day_month}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="45" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="100" splitType="Stretch">
			<xyLineChart>
				<chart>
					<reportElement x="0" y="0" width="555" height="100" uuid="0c94360d-4f95-45ae-a9b8-e7ded684396d"/>
					<chartTitle/>
					<chartSubtitle/>
					<chartLegend/>
				</chart>
				<xyDataset/>
				<linePlot>
					<plot/>
					<categoryAxisFormat>
						<axisFormat/>
					</categoryAxisFormat>
					<valueAxisFormat>
						<axisFormat/>
					</valueAxisFormat>
				</linePlot>
			</xyLineChart>
		</band>
	</summary>
</jasperReport>
